<div class="modal fade right pdfView" id="pdf-viewer" tabindex="-1" role="dialog">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header report-modal-header" *ngIf="selectedReportData">
        <button type="button" class="close" id="modal-close" data-dismiss="modal" (click)="close()"><span aria-hidden="true">&times;</span></button>
        <h3 class="modal-title">Smart Inspection Report <span class="date">{{selectedReportData.inspectionTime ? (selectedReportData.inspectionTime | date: 'medium') : '-'}}</span>
          <!--<span class="number">- #AVIE00123</span>--></h3>
        <img class="logo" [src]="iotzenLogoSrcUrl" alt="logo">
      </div>
      <div class="modal-body">
        <div class="body-inner-container" *ngIf="selectedReportData">

          <!--<app-vehicle-status [vehicleStatus]="selectedReportData"  [resetComponetValue]="resetComponetValue"></app-vehicle-status>
          <app-number-plate-recognition [numberPlateRecognitionDetails]="selectedReportData" [resetComponetValue]="resetComponetValue"></app-number-plate-recognition>-->
          <app-vehicle-details [vehicleDetails]="selectedReportData"  [resetComponetValue]="resetComponetValue"></app-vehicle-details>
          <app-engine-diagnostic-details [engineDiagnosticDetails]="selectedReportData" [resetComponetValue]="resetComponetValue"></app-engine-diagnostic-details>
          <app-assets-list [assetsList]="selectedReportData" [resetComponetValue]="resetComponetValue"></app-assets-list>
          <app-avdds-details [avddsDetails]="selectedReportData" [resetComponetValue]="resetComponetValue"></app-avdds-details>
          <app-uvis-details [uvisDetails]="selectedReportData" [resetComponetValue]="resetComponetValue"></app-uvis-details>
          <app-driver-details [driverDetails]="selectedReportData" [resetComponetValue]="resetComponetValue"></app-driver-details>
          <app-driver-feedback [driverFeedback]="selectedReportData" [resetComponetValue]="resetComponetValue"></app-driver-feedback>

        </div>
      </div>

      <div class="modal-footer report-modal-footer" *ngIf="selectedReportData && SUBJECT.INSPECTION|can:ACTIONS.DOWNLOAD">
        <button mat-raised-button color="accent" class="text-uppercase" *ngIf="showGeneratePdfBtn" (click)="sendSelectedReportDataToReport()" matTooltip="Download pdf" matTooltipPosition="left">Pdf <i class="fa fa-download"></i></button>
      </div>

    </div>
  </div>
</div>
